//
// C++ Interface: midiinputevent
//
// Description: 
//
//
// Author: Predrag Viceic <viceic@net2000.ch>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef MIDIINPUTEVENT_H
#define MIDIINPUTEVENT_H

#include <qevent.h>
#include "defs.h"

/**
@author Predrag Viceic
*/
class MidiInputEvent : public QCustomEvent
{
public:
    MidiInputEvent(int onoff, int note, int velocity);

    ~MidiInputEvent();
    int getNote();
    int getVelocity();
    int getOnOff();


protected:
    int velocity;
    int note;
    int onoff;
};

#endif
